<?php
if ( ! defined( 'ABSPATH' ) ) exit;

// phpcs:ignore WordPress.Security.NonceVerification.Recommended -- Only reading 'tab' parameter for UI purposes, no security risk
$active_tab = isset($_GET['tab']) ? sanitize_key(wp_unslash($_GET['tab'])) : 'mappings';
?>
<div class="wrap">
  <h1><?php esc_html_e('Inboxify Form Connector', 'inboxify-form-connector'); ?></h1>


  <h2 class="nav-tab-wrapper">
    <a href="?page=inboxify-form-connector&tab=mappings" class="nav-tab <?php echo $active_tab === 'mappings' ? 'nav-tab-active' : ''; ?>">
      <?php esc_html_e('Mappings', 'inboxify-form-connector'); ?>
    </a>
    <a href="?page=inboxify-form-connector&tab=settings" class="nav-tab <?php echo $active_tab === 'settings' ? 'nav-tab-active' : ''; ?>">
      <?php esc_html_e('Settings', 'inboxify-form-connector'); ?>
    </a>
  </h2>

  <?php

  if (
      $active_tab === 'mappings' &&
      (empty(get_option('inboxify_fc_api_key')) || empty(get_option('inboxify_fc_api_secret')))
  ) {
        echo '<div class="notice notice-error"><p><strong>' .
            esc_html__( 'Inboxify is not yet connected to the API.', 'inboxify-form-connector' ) .
            '</strong> ' .
            esc_html__( 'Please enter your credentials under the', 'inboxify-form-connector' ) .
            ' <em>' .
            esc_html__( 'Settings', 'inboxify-form-connector' ) .
            '</em>.</p></div>';
  }

  if ($active_tab === 'settings') {
      include INBOXIFY_FC_PLUGIN_PATH . 'admin/settings-page.php';
  } else {
      include INBOXIFY_FC_PLUGIN_PATH . 'admin/mappings-page.php';
  }
  ?>
  
    <div id="inboxify-fc-snackbar" class="inboxify-ifc-snackbar"></div>
</div>
