<?php
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<div class="wrap">
    <p class="inboxify-fc-description">
        <?php esc_html_e(
            'Connect forms from supported plugins to your Inboxify lists. Once a mapping is created, new form submissions will automatically be sent to your contact list in Inboxify.',
            'inboxify-form-connector'
        ); ?>
    </p>

    <div id="inboxify-fc-mapping-warning"></div>

    <button id="inboxify-fc-add-mapping" class="button button-primary">
        <?php esc_html_e('Add mapping', 'inboxify-form-connector'); ?>
    </button>

    <div id="inboxify-fc-mapping-form" style="display: none;">
        <h2 id="inboxify-fc-mapping-form-title">
            <?php esc_html_e('Add mapping', 'inboxify-form-connector'); ?>
        </h2>

        <div id="inboxify-fc-form-selector-group" class="inboxify-fc-field-group">
            <label for="inboxify-fc-form-selector"><strong><?php esc_html_e('Form', 'inboxify-form-connector'); ?></strong></label>
            <select id="inboxify-fc-form-selector">
              <option value=""><?php esc_html_e('-- Select a form --', 'inboxify-form-connector'); ?></option>
            </select>
        </div>

        <div class="inboxify-fc-field-group">
            <label for="inboxify-fc-lists"><strong><?php esc_html_e('List', 'inboxify-form-connector'); ?></strong></label>
            <select id="inboxify-fc-lists" class="widefat">
                <option value=""><?php esc_html_e('Select a list', 'inboxify-form-connector'); ?></option>
            </select>
        </div>

        <table id="inboxify-fc-field-mapping-table" class="widefat" style="margin-top: 20px;">
            <thead>
                <tr>
                    <th><?php esc_html_e('Form field', 'inboxify-form-connector'); ?></th>
                    <th><?php esc_html_e('Inboxify field', 'inboxify-form-connector'); ?></th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>

        <button id="inboxify-fc-save-mapping" class="button button-primary">
            <?php esc_html_e('Save', 'inboxify-form-connector'); ?>
        </button>
        <button id="inboxify-fc-cancel-mapping" class="button button-secondary">
            <?php esc_html_e('Cancel', 'inboxify-form-connector'); ?>
        </button>
    </div>

    <h2><?php esc_html_e('Existing mappings', 'inboxify-form-connector'); ?></h2>
    <table id="inboxify-fc-mappings-table" class="widefat">
        <thead>
            <tr>
                <th><?php esc_html_e('Form', 'inboxify-form-connector'); ?></th>
                <th><?php esc_html_e('Inboxify List', 'inboxify-form-connector'); ?></th>
                <th><?php esc_html_e('Actions', 'inboxify-form-connector'); ?></th>
            </tr>
        </thead>
        <tbody></tbody>
    </table>
</div>
