<?php
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<div class="wrap">
    <form id="inboxify-fc-settings-form">
        <table class="form-table">
            <tr>
                <th scope="row"><label for="inboxify-fc-api-key"><?php esc_html_e('API Key', 'inboxify-form-connector'); ?></label></th>
                <td>
                    <input type="text" id="inboxify-fc-api-key" name="inboxify-fc-api-key"
                        value="<?php echo esc_attr(get_option('inboxify_fc_api_key')); ?>" class="regular-text">
                </td>
            </tr>
            <tr>
                <th scope="row"><label for="inboxify-fc-api-secret"><?php esc_html_e('API Secret', 'inboxify-form-connector'); ?></label></th>
                <td>
                    <input type="password" id="inboxify-fc-api-secret" name="inboxify-fc-api-secret"
                        value="<?php echo esc_attr(get_option('inboxify_fc_api_secret')); ?>" class="regular-text">
                </td>
            </tr>
        </table>
        <button type="button" id="inboxify-fc-save-settings" class="button button-primary">
            <?php esc_html_e('Save', 'inboxify-form-connector'); ?>
        </button>
    </form>

    <h2><?php esc_html_e('Available Lists', 'inboxify-form-connector'); ?></h2>
    <div id="inboxify-fc-lists">
        <?php
        $lists = get_option('inboxify_fc_lists', []);
        if (!empty($lists) && is_array($lists)) {
            echo '<ul>';
            foreach ($lists as $list) {
                echo '<li>' . esc_html($list['list']) . ' (ID: ' . esc_html($list['id']) . ')</li>';
            }
            echo '</ul>';
        } else {
            echo '<p>' . esc_html__('No lists available. Please save your API keys first.', 'inboxify-form-connector') . '</p>';
        }
        ?>
    </div>
</div>
